import React from "react";
import classNames from "classnames";

import Post from "./Post";

const PostList = ({ className, items, onLike, onDislike, dimArchived }) => {
  const onPostLike = (post) => {
    return (evt) => {
      onLike(post);
    };
  };
  const onPostDislike = (post) => {
    return (evt) => {
      onDislike(post);
    };
  };

  return (
    <div className={classNames("space-y-px", className)}>
      {items
        .filter((item) => !item.hidden)
        .map((item) => (
          <Post
            key={item.id}
            datetime={item.datetime}
            author={item.author}
            type={item.type}
            state={item.state}
            content={item.content}
            ranking={item.ranking}
            historyLog={item.historyLog}
            seen={item.seen}
            archived={item.archived}
            onLike={onPostLike(item)}
            onDislike={onPostDislike(item)}
            dimIfArchived={dimArchived}
          />
        ))}
    </div>
  );
};

export default PostList;
